Lucene search
+L

367 matches found

Debian CVE
Debian CVE
•added 2026/10/03 8:30 a.m.•19 views

CVE-2026-71892

In Bouncy Castle for Java before 1.86, the opt-in key-size validation on CMS key-transport recipients, org.bouncycastle.cms.jcajce.JceKeyTransRecipient.setKeySizeValidationtrue, never ran for a message using RFC 9709 content-encryption key derivation id-alg-cek-hkdf-sha256. The branch that should...

6.9CVSS5.8AI score0.00173EPSS
SaveExploits0
OSV
OSV
•added 2026/10/03 8:05 a.m.•13 views

CVE-2026-85515 OpenPGP message truncation not reported, bypassing the SEIPDv1 integrity check

In Bouncy Castle for Java before 1.86, a truncated OpenPGP encrypted message was accepted with no error reported, and on the SEIPD version 1 path with no integrity check performed at all. RFC 9580 sec. 13.7 permits an implementation to release the cleartext of the fully authenticated chunks when...

8.2CVSS5.9AI score
SaveExploits0References9
EUVD
EUVD
•added 2026/10/03 8:05 a.m.•17 views

EUVD-2026-91988

In Bouncy Castle for Java before 1.86, a truncated OpenPGP encrypted message was accepted with no error reported, and on the SEIPD version 1 path with no integrity check performed at all. RFC 9580 sec. 13.7 permits an implementation to release the cleartext of the fully authenticated chunks when...

8.2CVSS5.9AI score0.00157EPSS
SaveExploits0References2
Cvelist
Cvelist
•added 2026/10/03 8:05 a.m.•43 views

CVE-2026-85515 OpenPGP message truncation not reported, bypassing the SEIPDv1 integrity check

In Bouncy Castle for Java before 1.86, a truncated OpenPGP encrypted message was accepted with no error reported, and on the SEIPD version 1 path with no integrity check performed at all. RFC 9580 sec. 13.7 permits an implementation to release the cleartext of the fully authenticated chunks when...

8.2CVSS0.00157EPSS
SaveExploits0References2
Vulnrichment
Vulnrichment
•added 2026/10/03 8:05 a.m.•10 views

CVE-2026-85515 OpenPGP message truncation not reported, bypassing the SEIPDv1 integrity check

In Bouncy Castle for Java before 1.86, a truncated OpenPGP encrypted message was accepted with no error reported, and on the SEIPD version 1 path with no integrity check performed at all. RFC 9580 sec. 13.7 permits an implementation to release the cleartext of the fully authenticated chunks when...

8.2CVSS5.9AI score0.00157EPSS
SaveExploits0References2
CVE
CVE
•added 2026/10/03 8:05 a.m.•12 views

CVE-2026-85515

Bouncy Castle for Java versions before 1.86 are vulnerable to a truncation error where truncated OpenPGP encrypted messages are accepted without reporting an error. On the SEIPD version 1 path, this leads to receiving CFB-decrypted plaintext without any integrity checks. On the AEAD path (SEIPD v...

8.2CVSS5.9AI score0.00157EPSS
SaveExploits0References2
Debian CVE
Debian CVE
•added 2026/10/03 8:05 a.m.•18 views

CVE-2026-85515

In Bouncy Castle for Java before 1.86, a truncated OpenPGP encrypted message was accepted with no error reported, and on the SEIPD version 1 path with no integrity check performed at all. RFC 9580 sec. 13.7 permits an implementation to release the cleartext of the fully authenticated chunks when...

8.2CVSS5.9AI score0.00157EPSS
SaveExploits0
CVE
CVE
•added 2026/10/03 8:04 a.m.•16 views

CVE-2026-97873

The Bouncy Castle for Java library (before versions 1.86 and LTS 2.73.13 ) contains a vulnerability where the raw JCA provider's legacy PBES1 and PKCS#12 PBE families derive keys using an iteration count from untrusted input without bounding. An attacker could provide a small input to dictate an ...

5.3CVSS6AI score0.00263EPSS
SaveExploits0References2
OSV
OSV
•added 2026/10/03 8:04 a.m.•13 views

CVE-2026-97873 Legacy PBES1 and PKCS#12 PBE iteration count honoured unbounded in the raw JCA provider

In Bouncy Castle for Java before 1.86, the raw JCA provider's legacy PBES1 PKCS5 scheme 1 and PKCS12 PBE families ran their password-based key derivation with an iteration count taken from untrusted input without bounding it, so a small input could dictate an arbitrary amount of work before...

5.3CVSS6AI score
SaveExploits0References8
Cvelist
Cvelist
•added 2026/10/03 8:04 a.m.•46 views

CVE-2026-97873 Legacy PBES1 and PKCS#12 PBE iteration count honoured unbounded in the raw JCA provider

In Bouncy Castle for Java before 1.86, the raw JCA provider's legacy PBES1 PKCS5 scheme 1 and PKCS12 PBE families ran their password-based key derivation with an iteration count taken from untrusted input without bounding it, so a small input could dictate an arbitrary amount of work before...

5.3CVSS0.00263EPSS
SaveExploits0References2
EUVD
EUVD
•added 2026/10/03 8:04 a.m.•18 views

EUVD-2026-91987

In Bouncy Castle for Java before 1.86, the raw JCA provider's legacy PBES1 PKCS5 scheme 1 and PKCS12 PBE families ran their password-based key derivation with an iteration count taken from untrusted input without bounding it, so a small input could dictate an arbitrary amount of work before...

5.3CVSS6AI score0.00263EPSS
SaveExploits0References2
Vulnrichment
Vulnrichment
•added 2026/10/03 8:04 a.m.•10 views

CVE-2026-97873 Legacy PBES1 and PKCS#12 PBE iteration count honoured unbounded in the raw JCA provider

In Bouncy Castle for Java before 1.86, the raw JCA provider's legacy PBES1 PKCS5 scheme 1 and PKCS12 PBE families ran their password-based key derivation with an iteration count taken from untrusted input without bounding it, so a small input could dictate an arbitrary amount of work before...

5.3CVSS6AI score0.00263EPSS
SaveExploits0References2
Debian CVE
Debian CVE
•added 2026/10/03 8:04 a.m.•19 views

CVE-2026-97873

In Bouncy Castle for Java before 1.86, the raw JCA provider's legacy PBES1 PKCS5 scheme 1 and PKCS12 PBE families ran their password-based key derivation with an iteration count taken from untrusted input without bounding it, so a small input could dictate an arbitrary amount of work before...

5.3CVSS6AI score0.00263EPSS
SaveExploits0
Positive Technologies
Positive Technologies
•added 2026/10/03 12:00 a.m.•13 views

PT-2026-104562

In Bouncy Castle for Java before 1.86, neither copy of PKIXCertPathReviewer - org.bouncycastle.pkix.jcajce.PKIXCertPathReviewer nor the legacy org.bouncycastle.x509.PKIXCertPathReviewer - applied X.509 name constraints to the end-entity certificate. checkNameConstraints walked the path with a loo...

8.7CVSS5.8AI score0.00167EPSS
SaveExploits0References3
Rapid7 Vulnerability Database (full)
Rapid7 Vulnerability Database (full)
•added 2026/10/03 12:00 a.m.•9 views

CVE-2026-71891: Improper Verification of Cryptographic Signature

In Bouncy Castle for Java before 1.86, BLS12381BasicScheme.keyValidate, and so BLSPublicKeyParameters and every BasicScheme, MessageAugmentation and ProofOfPossession verify and aggregateVerify that gate on it, accepted a public key built on a foreign ECCurve that merely shares BLS12-381's field...

7.1CVSS5.9AI score0.00174EPSS
SaveExploits0References2
Rapid7 Vulnerability Database (full)
Rapid7 Vulnerability Database (full)
•added 2026/10/03 12:00 a.m.•7 views

CVE-2026-97873: Allocation of Resources Without Limits or Throttling

In Bouncy Castle for Java before 1.86, the raw JCA provider's legacy PBES1 PKCS5 scheme 1 and PKCS12 PBE families ran their password-based key derivation with an iteration count taken from untrusted input without bounding it, so a small input could dictate an arbitrary amount of work before...

5.3CVSS6AI score0.00263EPSS
SaveExploits0References2
Positive Technologies
Positive Technologies
•added 2026/10/03 12:00 a.m.•12 views

PT-2026-104565

In Bouncy Castle for Java before 1.86, the raw JCA provider's legacy PBES1 PKCS5 scheme 1 and PKCS12 PBE families ran their password-based key derivation with an iteration count taken from untrusted input without bounding it, so a small input could dictate an arbitrary amount of work before...

5.3CVSS6AI score0.00263EPSS
SaveExploits0References3
Rapid7 Vulnerability Database (full)
Rapid7 Vulnerability Database (full)
•added 2026/10/03 12:00 a.m.•10 views

CVE-2026-71885: Improper Certificate Validation

In Bouncy Castle for Java before 1.86, the Messaging Layer Security MLS, RFC 9420 implementation did not bind an X.509 credential to a LeafNode's signaturekey. LeafNode.verify checked a leaf's signature against the signaturekey carried in the leaf itself, while the credential's X.509 certificate...

9.2CVSS5.8AI score0.00188EPSS
SaveExploits0References3
Rapid7 Vulnerability Database (full)
Rapid7 Vulnerability Database (full)
•added 2026/10/03 12:00 a.m.•9 views

CVE-2026-71888: Improper Validation of Integrity Check Value

In Bouncy Castle for Java before 1.86, the streaming CMS AuthenticatedData parser accepted a message whose digestAlgorithm and authAttrs fields disagreed about whether authenticated attributes were present. RFC 5652 sec. 9.1 pairs the two, requiring that authAttrs be present whenever...

8.7CVSS5.8AI score0.00112EPSS
SaveExploits0References2
Positive Technologies
Positive Technologies
•added 2026/10/03 12:00 a.m.•13 views

PT-2026-104566

Name of the Vulnerable Software and Affected Versions Bouncy Castle for Java versions prior to 1.86 Description HQC leaks secret-derived data through two side channels during encapsulation and decapsulation. The GF2^8 arithmetic uses lookup tables indexed by field elements, causing the touched...

5.9CVSS5.8AI score0.00107EPSS
SaveExploits0References6
Rows per page
Query Builder